import type { _NSDimension } from "./NSDimension.js";
export declare class _NSUnitElectricCurrent extends _NSDimension {
    static alloc(): _NSUnitElectricCurrent;
    static new(): _NSUnitElectricCurrent;
    init(): _NSUnitElectricCurrent;
    /** Base unit - amperes */
    static megaamperes(): _NSUnitElectricCurrent;
    static kiloamperes(): _NSUnitElectricCurrent;
    static amperes(): _NSUnitElectricCurrent;
    static milliamperes(): _NSUnitElectricCurrent;
    static microamperes(): _NSUnitElectricCurrent;
}
